#
# spec file for package xfntkr (Version 2.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           xfntkr
License:        distributable
Group:          System/X11/Fonts
Autoreqprov:    on
PreReq:         %suseconfig_fonts_prereq
Provides:       locale(xorg-x11:ko)
Summary:        Korean Hangul X Window System Fonts
Version:        2.1
Release:        645.2
Source0:        korean-fonts.tar.gz
Source1:        hanyang-fonts.tar.gz
Source2:        johab-fonts.tar.gz
Prereq:         /usr/X11R6/bin/mkfontdir
BuildArchitectures:    noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Korean Hangul X Window System fonts.



%debug_package
%prep
%setup -q -n xfntkr -c -a 1 -a 2

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p %{buildroot}/usr/X11R6/lib/X11/fonts/misc
install -m 644 hanyang-fonts/* %{buildroot}/usr/X11R6/lib/X11/fonts/misc
install -m 644 johab-fonts/*   %{buildroot}/usr/X11R6/lib/X11/fonts/misc
install -m 644 korean-fonts/*  %{buildroot}/usr/X11R6/lib/X11/fonts/misc
rm -rf %{buildroot}/usr/X11R6/lib/X11/fonts/misc/fonts.dir

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post
%run_suseconfig_fonts

%postun
%run_suseconfig_fonts

%files
%defattr(-,root,root)
%dir /usr/X11R6/lib/X11/fonts/misc/
/usr/X11R6/lib/X11/fonts/misc/*

%changelog -n xfntkr
* Wed Mar 01 2006 - mfabian@suse.de
- add "Provides: locale(xorg-x11:ko)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 03 2004 - mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Fri Mar 19 2004 - mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Mon Mar 01 2004 - mfabian@suse.de
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Wed Feb 04 2004 - hmacht@suse.de
- added option # norootforbuild in specfile
* Fri Jun 13 2003 - mfabian@suse.de
- add %%dir /usr/X11R6/lib/X11/fonts/misc/ to file list
* Mon Mar 11 2002 - mfabian@suse.de
- remove %%post and %%postun, SuSEconfig.fonts does that already,
  it's better not duplicate the work of SuSEconfig.fonts.
* Wed Jan 10 2001 - mfabian@suse.de
- improved %%post and %%postun scripts. The previous version
  can fail when this package is installed by autobuild into
  the buildsystem's chroot environment. I hope this is fixed now.
* Wed Jan 03 2001 - violiet@susekorea.net
- NEW JOHAB FONT........
- Group change: User Interface/Korean -> Extensions/Korean.
- SPEC clean.
* Tue Aug 29 2000 - mfabian@suse.de
- test whether mkfontdir is available
* Mon Aug 21 2000 - mfabian@suse.de
- new package. I used the source-rpm received from
  www.susekorea.net and changed it a little bit to comply
  with the usual SuSE style.
